org.apache.sysds.runtime.controlprogram.federated

## Class FederatedData

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedData

-     public class FederatedData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedData(FederatedData other, long varID)` Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
    `FederatedData(Types.DataType dataType, InetSocketAddress address, String filepath)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearFederatedWorkers()`
    `Future<FederatedResponse>` | `executeFederatedOperation(FederatedRequest... request)`
    `static Future<FederatedResponse>` | `executeFederatedOperation(InetSocketAddress address, FederatedRequest... request)` Executes an federated operation on a federated worker.
    `InetSocketAddress` | `getAddress()`
    `String` | `getFilepath()`
    `long` | `getVarID()`
    `Future<FederatedResponse>` | `initFederatedData(long id)`
    `boolean` | `isInitialized()`
    `static void` | `resetFederatedSites()`
    `void` | `setVarID(long varID)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedData

          public FederatedData(Types.DataType dataType,
                               InetSocketAddress address,
                               String filepath)

    - #### FederatedData

          public FederatedData(FederatedData other,
                               long varID)

      Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
      Parameters:
        `other` - the `FederatedData` of which we want to copy the worker information from
        `varID` - the varID of the variable we refer to

  - ### Method Detail

    - #### getAddress

          public InetSocketAddress getAddress()

    - #### setVarID

          public void setVarID(long varID)

    - #### getVarID

          public long getVarID()

    - #### getFilepath

          public String getFilepath()

    - #### isInitialized

          public boolean isInitialized()

    - #### initFederatedData

          public Future<FederatedResponse> initFederatedData(long id)

    - #### executeFederatedOperation

          public Future<FederatedResponse> executeFederatedOperation(FederatedRequest... request)

    - #### executeFederatedOperation

          public static Future<FederatedResponse> executeFederatedOperation(InetSocketAddress address,
                                                                            FederatedRequest... request)

      Executes an federated operation on a federated worker.
      Parameters:
        `address` - socket address (incl host and port)
        `request` - the requested operation
      Returns:
        the response

    - #### clearFederatedWorkers

          public static void clearFederatedWorkers()

    - #### resetFederatedSites

          public static void resetFederatedSites()

Copyright © 2020 The Apache Software Foundation. All rights reserved.